#ifndef NODE_CPU_PROFILER_
#define NODE_CPU_PROFILER_

#include "v8-profiler.h"
#include "profiler_data.h"
#include "node.h"
#include "nan.h"

namespace nodex {
  class CpuProfiler {
    public:
      static void Initialize(v8::Local<v8::Object> target, v8::Local<v8::Context> context, ProfilerData* data);

      CpuProfiler();
      virtual ~CpuProfiler();

    protected:
      static NAN_METHOD(StartProfiling);
      static NAN_METHOD(StopProfiling);
      static NAN_METHOD(SetSamplingInterval);
      static NAN_METHOD(CollectSample);
  };
} //namespace nodex

#endif  // NODE_CPU_PROFILER_H
